<?php 

// Get URLs
$urls_response = $this->kmr->get_urls();

if ( $urls_response['status'] == "OK" ) {
	$urls = $urls_response['body']['urls'];
} 

?>
<div class="wrap">
	<div>
		<h2><?php _e( 'Settings', 'know-my-rankings' ) ?></h2>

		<?php 
		
		do_action("kmr_settings_notice");

		if ( $response['status'] == "ERR" ) {
			
			$this->notices->show_notice( $response['body'], 'error' );

		} ?>
		
		<h3><?php _e( 'User', 'know-my-rankings' ) ?></h3>

		<form action="<?php echo $this->get_url( "settings" ); ?>" method="post">
			<p>
				<label for="email"><?php _e( 'Email', 'know-my-rankings' ) ?></label><br />
				<input id="email" name="email" type="text" value=""/>
			</p>
			<p>
				<label for="password"><?php _e( 'Password', 'know-my-rankings' ) ?></label><br />
				<input id="password" name="password" type="password" value=""/>
			</p>
			<p class="submit">
				<button class="button button-primary" type="submit" value="submit"><?php _e( 'Update User', 'know-my-rankings' ) ?></button>
			</p>
			<?php wp_nonce_field( 'settings', 'update_user' ); ?>
		</form>

		<h3><?php _e( 'Widget', 'know-my-rankings' ) ?></h3>

		<form action="<?php echo $this->get_url( "settings" ); ?>" method="post">
			<p>
				<label for="default_report"><?php _e( 'Default Report URL (shown in Dashboard widget)', 'know-my-rankings' ) ?></label><br />
				<?php if ( ! empty( $urls ) ) : ?>
				<select id="default_report" name="default_report">
				<?php foreach ( $urls as $key => $url ) : ?>
					<option value="<?php echo $url['id']; ?>" <?php selected( $this->user['default_report_id'], $url['id'] ); ?>><?php echo $url['url']; ?></option>
				<?php endforeach;?>
				</select>
				<?php else :  ?>
				<a href="<?php echo $this->get_url("add_new"); ?>"><?php _e( "Create Report", "know-my-rankings" ); ?></a>
				<?php endif; ?>
			</p>
			<p class="submit">
				<button class="button button-primary" type="submit" value="submit"><?php _e( 'Update Widget', 'know-my-rankings' ) ?></button>
			</p>
			<?php wp_nonce_field( 'settings', 'update_widget' ); ?>
		</form>

		<a target="_blank" href="<?php echo $this->get_kmr_url("dashboard"); ?>"><?php _e( "Manage your account at KnowMyRankings.com", "know-my-rankings" ); ?></a>
	</div>
</div>