<div class="wrap">
	<h2><?php _e( "You're moments away from having rank reports right in your WordPress dashboard! Please complete the two step set up process below to get started...", 'know-my-rankings');?></h2>
	<div class="setup-body">
		<div class="setup-box-left">
			<h3>
				<?php _e( 'Step 1: Specify URL and keywords to track', 'know-my-rankings' ) ?><br/>
				<small><?php _e( '(you can change this later)', 'know-my-rankings' ) ?></small>
			</h3>			
			<form action="<?php echo $this->get_url("settings"); ?>" method="post">
				<p>
					<label for="url"><?php _e( 'Track this URL', 'know-my-rankings' ) ?></label><br />
					<input class="widefat" id="url" name="url" type="text" value="<?php echo get_bloginfo("url"); ?>"/>
				</p>
				<p>
					<label for="keywords"><?php _e( 'Enter up to 10 keywords, 1 per line', 'know-my-rankings' ) ?></label><br />
					<textarea class="widefat" name="keywords" id="keywords" cols="30" rows="10"></textarea>
				</p>
				<p class="submit">
					<button class="button button-primary" type="submit" value="submit"><?php _e( 'Continue to Step 2', 'know-my-rankings' ) ?></button>
				</p>
				<?php wp_nonce_field( 'setup', 'step_one_nonce' ); ?>
			</form>
		</div>
		<div class="setup-box-right">
			<h3><?php _e( 'About This Plugin', 'know-my-rankings' ) ?></h3>
			<div class="inside">
				<ul>
					<li><?php _e( "Your WordPress installation will not make any requests Google. The Know My Rankings WordPress plugin uses the KnowMyRankings.com service to get ranking data.", 'know-my-rankings' ) ?></li>
					<li><?php _e( "When using the Know My Rankings WordPress plugin, the KnowMyRanings.com service is free for daily tracking of up to 10 keywords.", 'know-my-rankings' ) ?></li>
					<li><?php _e( "Installing this plugin will automatically create an account for you on KnowMyRankings.com if you don't already have one. You'll be able to view more in-depth reports there, and upgrade to a paid plan if you want to track more keywords.", 'know-my-rankings' ) ?></li>
				</ul>
			</div>
		</div>
	</div>
</div>